Bug 388611 - kernel opps with superblock null pointer
kernel opps with superblock null pointer
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
medium Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-17 12:45 EST by Dennis Gilmore
Modified: 2009-01-09 02:26 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:26:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2007-11-17 12:45:13 EST
Description of problem:

I have seen the following opps twice now.  first time i was yum udating  second
time i was using mock to build a package.  I have been susspending to ram and
resuming a couple of times a day it has happend each time after a couple of days.


Unable to handle kernel NULL pointer dereference at 0000000000000038 RIP:
 [<ffffffff810ad519>] iput+0x18/0x7b
PGD 59ae067 PUD 3593a067 PMD 1e608067 PTE 0
Oops: 0000 [1] SMP
CPU 0
Modules linked in: ppp_async crc_ccitt ppp_generic slhc berry_charge vfat fat
usb_storage ipmi_watchdog ipmi_devintf ipmi_msghandler lp parport_pc ppdev
parport appletalk ipx p8023 i915 drm dcdbas ipt_MASQUERADE iptable_nat nf_nat
bridge rfcomm l2cap autofs4 sunrpc nf_conntrack_netbios_ns ipt_REJECT
nf_conntrack_ipv4 xt_state nf_conntrack nfnetlink iptable_filter ip_tables
ip6t_REJECT xt_tcpudp ip6table_filter ip6_tables x_tables ipv6 cpufreq_ondemand
acpi_cpufreq dm_multipath kvm_intel kvm snd_hda_intel snd_seq_dummy snd_seq_oss
snd_seq_midi_event snd_seq snd_seq_device arc4 iTCO_wdt snd_pcm_oss
snd_mixer_oss ecb blkcipher iTCO_vendor_support firewire_ohci snd_pcm video
hci_usb output bluetooth snd_timer snd_page_alloc snd_hwdep snd option iwl3945
ac usbserial button tg3 firewire_core battery crc_itu_t joydev soundcore pcspkr
i2c_i801 i2c_core mac80211 cfg80211 sg sr_mod cdrom dm_snapshot dm_zero
dm_mirror dm_mod ata_generic ata_piix libata sd_mod scsi_mod ext3 jbd mbcache
uhci_hcd ohci_hcd ehci_hcd
Pid: 272, comm: kswapd0 Not tainted 2.6.23.1-49.fc8 #1
RIP: 0010:[<ffffffff810ad519>]  [<ffffffff810ad519>] iput+0x18/0x7b
RSP: 0018:ffff810037f15d60  EFLAGS: 00010283
RAX: 0000000000000000 RBX: ffff81000003fcc8 RCX: ffff81000003fcf8
RDX: ffff81000003fcf8 RSI: ffff8100001dd2c0 RDI: ffff81000003fcc8
RBP: 0000000000000001 R08: 0000000000000001 R09: ffff8100001dd0d0
R10: 0000000000000282 R11: ffff8100001dd1a0 R12: ffff8100001dd270
R13: 000000000000000d R14: 0000000000000001 R15: 0000000000000080
FS:  0000000000000000(0000) GS:ffffffff813bd000(0000) knlGS:0000000000000000
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
CR2: 0000000000000038 CR3: 00000000346dd000 CR4: 00000000000026e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process kswapd0 (pid: 272, threadinfo ffff810037f14000, task ffff810037f0e820)
Stack:  ffff810037e04070 ffffffff810ab4ba 0000000000000282 ffff810037e04070
 0000000000000000 ffffffff810ac1b8 ffff8100001dd1a0 ffff810037e04070
 ffff8100001dd270 ffffffff810ac381 ffffffff8137f220 000000000001b51c
Call Trace:
 [<ffffffff810ab4ba>] d_kill+0x21/0x43
 [<ffffffff810ac1b8>] prune_one_dentry+0x3a/0xee
 [<ffffffff810ac381>] prune_dcache+0x115/0x163
 [<ffffffff810ac3eb>] shrink_dcache_memory+0x1c/0x36
 [<ffffffff8107bd2d>] shrink_slab+0xdc/0x154
 [<ffffffff8107c60a>] kswapd+0x318/0x4a8
 [<ffffffff810493dd>] autoremove_wake_function+0x0/0x2e
 [<ffffffff8107c2f2>] kswapd+0x0/0x4a8
 [<ffffffff81049288>] kthread+0x47/0x73
 [<ffffffff8100c9e8>] child_rip+0xa/0x12
 [<ffffffff81049241>] kthread+0x0/0x73
 [<ffffffff8100c9de>] child_rip+0x0/0x12


Code: 48 8b 40 38 75 04 0f 0b eb fe 48 85 c0 74 0b 48 8b 40 28 48
RIP  [<ffffffff810ad519>] iput+0x18/0x7b
 RSP <ffff810037f15d60>
CR2: 0000000000000038
Comment 1 Dennis Gilmore 2007-11-17 12:47:12 EST

*** This bug has been marked as a duplicate of 388591 ***
Comment 2 Chuck Ebbert 2007-11-19 17:26:15 EST
Not necessarily a duplicate.
Comment 3 Chuck Ebbert 2007-11-19 17:51:29 EST
iput+0x18/0x7b :: fs/inode.c:1131
i_sb is NULL:
void iput(struct inode *inode)
{
        if (inode) {
                const struct super_operations *op = inode->i_sb->s_op;

prune_one_dentry+0x3a/0xee :: fs/dcache.c:392
static void prune_one_dentry(struct dentry * dentry, int prune_parents)
{
        __d_drop(dentry);
        dentry = d_kill(dentry);

prune_dcache+0x115/0x163   :: fs.dcache.c:511
                s_umount = &dentry->d_sb->s_umount;
                if (down_read_trylock(s_umount)) {
                        if (dentry->d_sb->s_root != NULL) {
                                prune_one_dentry(dentry, prune_parents);
                                up_read(s_umount);
                                continue;
                        }
                        up_read(s_umount);
                }
Comment 4 Christopher Brown 2008-01-23 18:39:04 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.
Comment 5 Chuck Ebbert 2008-01-23 20:02:09 EST
leave this one open...
Comment 6 Bug Zapper 2008-11-26 03:32:14 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-09 02:26:45 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.